Update Level-3 Data Fields

Update Any Of The Level-3 Data Fields.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required

Payment ID for which L3 data is being saved

Body Params

Represents Payment information

int32
required

Id of the merchant

double
required

The payment amount.

string
enum

Legacy alias for transaction type. Prefer deriving type from amount and flags. Values: Sale, Return, CashAdvance, Prepaid, Adjustment, Void, Reversal, Authorization, SaleCompletion, PaymentTransaction, Withdrawal, Balance, AccountVerification.

string

Payment token used to reference and process the payment without exposing the customer card details.

int64

A merchant-supplied identifier to uniquely identify a payment request to facilitate retries due to I/O related issues. This identifier must be unique. If supplied, we will check for a payment that matches this identifier. If found will return an identical response of the original request. Represents a bigInt value.

boolean

Used to allow the merchant to decide if they want to vault a card

string
enum
required

Specifies the payment method used for the transaction.
Values: Card, Check, Cash, Multiple, Loyality, ACH

string

Currency used for the payment.

double

The amount of the gratuity (included in amount).

string

Memo field (Can include a stringified JSON object)

cardAccount
object

Card account to be used for this payment.
Required if tenderType is Card.

posData
object

POS data used to describe how the transaction was performed.

boolean

Indicates whether the payment is authorization-only and should not be settled in the current batch.
When set to true, the payment is authorized but not settled. To complete settlement, submit a final
payment with authOnly set to false.

string

Authorization code for this payment.
If you already have an authorization code from the card issuer, you can provide it here.
Otherwise, the server will request authorization from the card issuer and return the code.

boolean

Indicates whether the credit card was physically present at the time of payment.
This value should be provided by the client.

double

The cashback amount

double

The surcharge amount

double

The surcharge rate

string

The surcharge label

string

Client provided invoice number (Generated by server if not provided)

string

The customer code for identification in settlement (Level 1 data). Provided by the client.

string

Customer's full name

double

The VAT rate, used for Level 3 settlement data. Provided by the client.

double

The VAT amount, used for Level 3 settlement data. Provided by the client.

double

The duty amount, used for Level 3 settlement data. Provided by the client.

double

The shipping amount, used for Level 3 settlement data. Provided by the client.

double

The discount amount, used for Level 3 settlement data. Provided by the client.

double

Any other tax amount, used for Level 3 settlement data. Provided by the client.

string

The ship-to ZIP/postal code, used for Level 3 settlement data. Provided by the client.

string

The source ZIP/postal code.

string

The ship-to country code (alphanumeric), used for Level 3 settlement data. Provided by the client.

string

The department name, used for Level 3 settlement data. Provided by the client.

purchases
array of objects

A list of purchases, used for Level 3 settlement data. Provided by the client.

purchases
boolean

Indicates whether the item is tax exempt.
If this is set to true, the tax amount must be 0.

string

The source of the payment.
Possible values: API, QuickPay, Recurring, Link2Pay, Terminal.

boolean

Checks if the card is a business card. Only used when B2B is enabled.

string

The email address used for ACH authorization.

boolean

Indicates if the payment is a duplicate of another payment.

string

Device identifier (terminal id).

string

Batch reference number.

double

Convenience fee charged to customer. Must be included in amount.

tags
array of strings

Comma-separated list of tags to associate to this payment.

tags
bankAccount
object

Bank account to be used for this payment. Required if tenderType is Check or ACH.

string
enum

ACH entry class. Required when tenderType is ACH.

Allowed:
loyaltyAccount
object

Loyalty account. Required if tenderType is Loyalty.

string

Account vault token.

customer
object

Customer information if available.

double

Tax amount (included in amount).

boolean

Pre-auth flag for gas stations. Follow with sale completion with actual amount.

string

Client reference (max 17 chars). Auto-generated if not provided.

string

Clerk identifier (alphanumeric, max 256).

string

Mastercard wallet id (alphanumeric, 3 chars).

int64

Order ID for this payment.

orderIds
array of int64s

Mapped order IDs for this payment.

orderIds
invoiceIds
array of int64s

Mapped invoice IDs for this payment.

invoiceIds
string
length ≤ 10

Payment description (ACH).

string
length ≤ 256

Client metadata field.

properties
array of objects

Payment properties.

properties
string

Dynamic descriptor.

double

Subtotal amount.

double

Total amount.

uuid

Consumer identifier.

string

Mobile wallet payment provider (ApplePay, GooglePay).

string

Shipping method used.

string

Authorization indicator.

string
length ≤ 4

Merchant category code (Vortex-enabled merchants).

funding
object

Funding tags for treasury integration.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json